# THIS FILE IS GENERATED FROM Dockerfile DO NOT EDIT
FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202107230321.p0.git.e730721 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202107230321.p0.git.e730721 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e730721 OS_GIT_VERSION=4.6.0-202107230321.p0.git.e730721-e730721 SOURCE_DATE_EPOCH=1626289980 SOURCE_GIT_COMMIT=e730721b373dad9b412bb0c8b36cc22e01fe4b91 SOURCE_GIT_TAG=unreleased-master-432-ge730721b SOURCE_GIT_URL=https://github.com/openshift/machine-config-operator 
WORKDIR /go/src/github.com/openshift/machine-config-operator
COPY . .
# FIXME once we can depend on a new enough host that supports globs for COPY,
# just use that.  For now we work around this by copying a tarball.
RUN make install DESTDIR=./instroot && tar -C instroot -cf instroot.tar .

FROM openshift/ose-base:v4.6.0.20210723.033016
ENV __doozer=update BUILD_RELEASE=202107230321.p0.git.e730721 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202107230321.p0.git.e730721 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e730721 OS_GIT_VERSION=4.6.0-202107230321.p0.git.e730721-e730721 SOURCE_DATE_EPOCH=1626289980 SOURCE_GIT_COMMIT=e730721b373dad9b412bb0c8b36cc22e01fe4b91 SOURCE_GIT_TAG=unreleased-master-432-ge730721b SOURCE_GIT_URL=https://github.com/openshift/machine-config-operator 
COPY --from=builder /go/src/github.com/openshift/machine-config-operator/instroot.tar /tmp/instroot.tar
RUN cd / && tar xf /tmp/instroot.tar && rm -f /tmp/instroot.tar
COPY install /manifests
RUN if ! rpm -q util-linux; then yum install -y util-linux && yum clean all && rm -rf /var/cache/yum/*; fi
COPY templates /etc/mcc/templates
ENTRYPOINT ["/usr/bin/machine-config-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-machine-config-operator" \
        com.redhat.component="ose-machine-config-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Machine Config Operator" \
        release="202107230321.p0.git.e730721" \
        io.openshift.build.commit.id="e730721b373dad9b412bb0c8b36cc22e01fe4b91" \
        io.openshift.build.source-location="https://github.com/openshift/machine-config-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/machine-config-operator/commit/e730721b373dad9b412bb0c8b36cc22e01fe4b91" \
        version="v4.6.0"

